Name:           python-datacube
Version:        1.9.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An analysis environment for satellite and other earth observation data

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://opendatacube.org/
Source:         %{pypi_source datacube}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'datacube' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-datacube
Summary:        %{summary}

%description -n python3-datacube %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-datacube cf,distributed,netcdf,performance,postgres,s3


%prep
%autosetup -p1 -n datacube-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x cf,distributed,netcdf,performance,postgres,s3


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-datacube -f %{pyproject_files}


%changelog
%autochangelog